Zum Hauptinhalt springen

List mail settings of a Project

GET/v2/projects/{projectId}/mail-settings
API-Version
v2
Request-Methode
GET
Operation-ID
mail-list-project-mail-settings

Request​

  • projectIdstringrequired

    ID of the Project to list mail settings for.

Responses​

Format
application/json
Beschreibung

OK

  • blacklistArray von stringrequired
    • Array[
      • *string
      ]
  • projectIdstringrequired
  • whitelistArray von stringrequired
    • Array[
      • *string
      ]
Content-Type: application/json

{
"blacklist": [
"string"
],
"projectId": "string",
"whitelist": [
"string"
]
}
{
"properties": {
"blacklist": {
"items": {
"pattern": "^([a-zA-Z0-9.!#$%&'*\\/=?^_{|}~-]+@[a-zA-Z0-9-*]+(?:\\.([a-zA-Z0-9-]+|\\*))+)$",
"type": "string"
},
"type": "array"
},
"projectId": {
"type": "string"
},
"whitelist": {
"items": {
"pattern": "^([a-zA-Z0-9.!#$%&'*\\/=?^_{|}~-]+@[a-zA-Z0-9-*]+(?:\\.([a-zA-Z0-9-]+|\\*))+)$",
"type": "string"
},
"type": "array"
}
},
"required": [
"projectId",
"blacklist",
"whitelist"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/mail-settings
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.listProjectMailSettings({
"projectId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Mail\ListProjectMailSettings\ListProjectMailSettingsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListProjectMailSettingsRequest(
projectId: "string"
));
$response = $client->mail()->listProjectMailSettings($request);

var_dump($response->getBody();

Auf dieser Seite